Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Interface ResourceDigestManager

All Superinterfaces:
  InvalidationEventHub

All Known Implementing Classes:
  ResourceDigestManagerImpl

    public interface ResourceDigestManager

extends InvalidationEventHub

Caches information about resources on the classpath. In addition, acts as an invalidation hub for any resources for which information is obtained (when any of the resources are changed, invalidation listeners are notified so they can clear their caches).

Note that the name and role of this class changed (and diminished) quite a bit in Tapestry 5.3. It is now focused on

Method Summary
`java.lang.String` | `getDigest(Resource resource)` Returns the digest for the given path.
`boolean` | `requiresDigest(Resource resource)` Returns true if the path requires that the client URL for the resource include a digest to validate that the client is authorized to access the resource.

Methods inherited from interface org.apache.tapestry5.services.InvalidationEventHub
`addInvalidationListener`

Method Detail

### requiresDigest

    boolean requiresDigest(Resource resource)

  Returns true if the path requires that the client URL for the resource include a digest to validate that the client is authorized to access the resource.

  Parameters:
    `resource` -
  Returns:
    true if digest is required for the resource
  See Also:
    `ResourceDigestGenerator.requiresDigest(String)`

### getDigest

    java.lang.String getDigest(Resource resource)

  Returns the digest for the given path.

  Parameters:
    `resource` -
  Returns:
    the digest, or null if the resource does not exist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.